﻿
@{
    ViewBag.Title = "Add Video";
}

@model  CardFileOfTextMaterials.BLL.DTO.Out.NewMediaDTO




<div class="container-fluid">

    @Html.ValidationSummary()

    <form action="@Href("~/User/UploadVideo")" method="post" id="postForm" enctype="multipart/form-data">
        @Html.AntiForgeryToken()

        @Html.HiddenFor(el => el.StorageMediaId)

        <div class="form-group">
            @Html.LabelFor(el => el.Name)
            @Html.TextBoxFor(el => el.Name, new { @class = "input-text form-control" })
            @Html.ValidationMessageFor(el => el.Name)
        </div>
        <div class="form-group">
            @Html.LabelFor(el => el.Description)
            @Html.TextAreaFor(el => el.Description, new { @class = "form-control" })
            @Html.ValidationMessageFor(el => el.Description)
        </div>
        <div>
            <label>Criteria</label>
        </div>
        <div class="form-horizontal">
            @foreach (string el in ViewBag.CollectionCriteria)
            {
                <div class="checkbox">
                    <label>
                        @Html.CheckBoxFor(r => r.Criteria[el])
                        @el
                    </label>
                </div>
            }
        </div>
        <br />

        @Html.TextBoxFor(m => m.Video, new { type = "file", accept = "video/*" })
        @Html.ValidationMessageFor(m => m.Video)

        <br />
        <input class="btn btn-primary" type="submit" name="submit" value="Submit" />

    </form>
</div>
